gdata | index /build/buildd/python-gdata-2.0.18+dfsg/src/gdata/__init__.py

`Contains classes representing Google Data elements.
Extends Atom classes to add Google Data specific elements.`

Package Contents

``

Crypto (package)
acl (package)
alt (package)
analytics (package)
apps (package)
apps_property
auth
blogger (package)
books (package)
calendar (package)
calendar_resource (package)

client
codesearch (package)
contacts (package)
contentforshopping (package)
core
data
docs (package)
dublincore (package)
exif (package)
finance (package)
gauth

geo (package)
health (package)
marketplace (package)
media (package)
notebook (package)
oauth (package)
opensearch (package)
photos (package)
projecthosting (package)
sample_util
service

sites (package)
spreadsheet (package)
spreadsheets (package)
test_config
test_data
tlslite (package)
urlfetch
webmastertools (package)
youtube (package)

Classes

``

__builtin__.object
  MediaSource
atom.AtomBase(atom.ExtensionContainer)
  BatchId
  BatchInterrupted
  BatchOperation
  BatchStatus
  EntryLink
  ExtendedProperty
  FeedLink
  ItemsPerPage
  StartIndex
  TotalResults
atom.Entry(atom.FeedEntryParent)
  GDataEntry(atom.Entry, LinkFinder)
    BatchEntry
atom.Feed(atom.Source)
  GDataFeed(atom.Feed, LinkFinder)
    BatchFeed
atom.LinkFinder(__builtin__.object)
  LinkFinder
    GDataEntry(atom.Entry, LinkFinder)
      BatchEntry
    GDataFeed(atom.Feed, LinkFinder)
      BatchFeed
exceptions.Exception(exceptions.BaseException)
  Error
    MissingRequiredParameters

class BatchEntry(GDataEntry)
`` | `An atom:entry for use in batch requests. The BatchEntry contains additional members to specify the operation to be performed on this entry and a batch ID so that the server can reference individual operations in the response feed. For more information, see: http://code.google.com/apis/gdata/batch.html`

Method resolution order:
  BatchEntry
  GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, contributor=None, atom_id=None, link=None, published=None, rights=None, source=None, summary=None, control=None, title=None, updated=None, batch_operation=None, batch_id=None, batch_status=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class BatchFeed(GDataFeed)
`` | `A feed containing a list of batch request entries.`

Method resolution order:
  BatchFeed
  GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

AddBatchEntry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.Entry, or another Entry flavor (optional) The
  entry which will be sent to the server as part of the batch request.
  The item must have a valid atom id so that the server knows which
  entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

GetBatchLink(self)

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, interrupted=None, extension_elements=None, extension_attributes=None, text=None)

Data descriptors inherited from GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class BatchId(atom.AtomBase)

``

Method resolution order:
  BatchId
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class BatchInterrupted(atom.AtomBase)
`` | `The batch:interrupted element sent if batch request was interrupted. Only appears in a feed if some of the batch entries could not be processed. See: http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Method resolution order:
  BatchInterrupted
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, reason=None, success=None, failures=None, parsed=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class BatchOperation(atom.AtomBase)

``

Method resolution order:
  BatchOperation
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, op_type=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class BatchStatus(atom.AtomBase)

``

`The batch:status element present in a batch response entry.
A status element contains the code (HTTP response code) and
reason as elements. In a single request these fields would
be part of the HTTP response, but in a batch request each
Entry operation has a corresponding Entry in the response
feed which includes status information.
See http://code.google.com/apis/gdata/batch.html#Handling_Errors
`

Method resolution order:
  BatchStatus
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, code=None, reason=None, content_type=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class EntryLink(atom.AtomBase)
`` | `The gd:entryLink element`

Method resolution order:
  EntryLink
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, href=None, read_only=None, rel=None, entry=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Error(exceptions.Exception)

``

Method resolution order:
  Error
  exceptions.Exception
  exceptions.BaseException
  __builtin__.object

Data descriptors defined here:

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from exceptions.Exception:

__init__(...)
  `x.__init__(...) initializes x; see help(type(x)) for signature`

Data and other attributes inherited from exceptions.Exception:

__new__ = <built-in method __new__ of type object>
  `T.__new__(S, ...) -> a new object with type S, a subtype of T`

Methods inherited from exceptions.BaseException:

__delattr__(...)
  `x.__delattr__('name') <==> del x.name`

__getattribute__(...)
  `x.__getattribute__('name') <==> x.name`

__getitem__(...)
  `x.__getitem__(y) <==> x[y]`

__getslice__(...)
  `x.__getslice__(i, j) <==> x[i:j]
  Use of negative indices is not supported.`

__reduce__(...)

__repr__(...)
  `x.__repr__() <==> repr(x)`

__setattr__(...)
  `x.__setattr__('name', value) <==> x.name = value`

__setstate__(...)

__str__(...)
  `x.__str__() <==> str(x)`

__unicode__(...)

Data descriptors inherited from exceptions.BaseException:

__dict__

args

message

class ExtendedProperty(atom.AtomBase)
`` | `The Google Data extendedProperty element. Used to store arbitrary key-value information specific to your application. The value can either be a text string stored as an XML attribute (.value), or an XML node (XmlBlob) as a child element. This element is used in the Google Calendar data API and the Google Contacts data API.`

Method resolution order:
  ExtendedProperty
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

GetXmlBlobExtensionElement(self)
  `Returns the XML blob as an atom.ExtensionElement.
  Returns:
  An atom.ExtensionElement representing the blob's XML, or None if no
  blob was set.`

GetXmlBlobString(self)
  `Returns the XML blob as a string.
  Returns:
  A string containing the blob's XML, or None if no blob was set.`

SetXmlBlob(self, blob)
  `Sets the contents of the extendedProperty to XML as a child node.
  Since the extendedProperty is only allowed one child element as an XML
  blob, setting the XML blob will erase any preexisting extension elements
  in this object.
  Args:
  blob: str, ElementTree Element or atom.ExtensionElement representing
  the XML blob stored in the extendedProperty.`

__init__(self, name=None, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class FeedLink(atom.AtomBase)
`` | `The gd:feedLink element`

Method resolution order:
  FeedLink
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, count_hint=None, href=None, read_only=None, rel=None, feed=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GDataEntry(atom.Entry, LinkFinder)
`` | `Extends Atom Entry to provide data processing`

Method resolution order:
  GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors defined here:

id

Methods inherited from atom.Entry:

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class GDataFeed(atom.Feed, LinkFinder)
`` | `A Feed from a GData service`

Method resolution order:
  GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Source
  Args:
  author: list (optional) A list of Author instances which belong to this
  class.
  category: list (optional) A list of Category instances
  contributor: list (optional) A list on Contributor instances
  generator: Generator (optional)
  icon: Icon (optional)
  id: Id (optional) The entry's Id element
  link: list (optional) A list of Link instances
  logo: Logo (optional)
  rights: Rights (optional) The entry's Rights element
  subtitle: Subtitle (optional) The entry's subtitle element
  title: Title (optional) the entry's title element
  updated: Updated (optional) the entry's updated element
  entry: list (optional) A list of the Entry instances contained in the
  feed.
  text: String (optional) The text contents of the element. This is the
  contents of the Entry's XML text node.
  (Example: <foo>This is the text</foo>)
  extension_elements: list (optional) A list of ExtensionElement instances
  which are children of this element.
  extension_attributes: dict (optional) A dictionary of strings which are
  the values for additional XML attributes of this element.`

Data descriptors defined here:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class ItemsPerPage(atom.AtomBase)
`` | `The opensearch:itemsPerPage element in GData feed`

Method resolution order:
  ItemsPerPage
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class LinkFinder(atom.LinkFinder)
`` | `An "interface" providing methods to find link elements GData Entry elements often contain multiple links which differ in the rel attribute or content type. Often, developers are interested in a specific type of link so this class provides methods to find specific classes of links. This class is used as a mixin in GData entries.`

Method resolution order:
  LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data descriptors inherited from atom.LinkFinder:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class MediaSource(__builtin__.object)
`` | `GData Entries can refer to media sources, so this class provides a place to store references to these objects along with some metadata.`

Methods defined here:

__init__(self, file_handle=None, content_type=None, content_length=None, file_path=None, file_name=None)
  `Creates an object of type MediaSource.
  Args:
  file_handle: A file handle pointing to the file to be encapsulated in the
  MediaSource
  content_type: string The MIME type of the file. Required if a file_handle
  is given.
  content_length: int The size of the file. Required if a file_handle is
  given.
  file_path: string (optional) A full path name to the file. Used in
  place of a file_handle.
  file_name: string The name of the file without any path information.
  Required if a file_handle is given.`

setFile(self, file_name, content_type)
  `A helper function which can create a file handle from a given filename
  and set the content type and length all at once.
  Args:
  file_name: string The path and file name to the file containing the media
  content_type: string A MIME type representing the type of the media`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class MissingRequiredParameters(Error)

``

Method resolution order:
  MissingRequiredParameters
  Error
  exceptions.Exception
  exceptions.BaseException
  __builtin__.object

Data descriptors inherited from Error:

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from exceptions.Exception:

__init__(...)
  `x.__init__(...) initializes x; see help(type(x)) for signature`

Data and other attributes inherited from exceptions.Exception:

__new__ = <built-in method __new__ of type object>
  `T.__new__(S, ...) -> a new object with type S, a subtype of T`

Methods inherited from exceptions.BaseException:

__delattr__(...)
  `x.__delattr__('name') <==> del x.name`

__getattribute__(...)
  `x.__getattribute__('name') <==> x.name`

__getitem__(...)
  `x.__getitem__(y) <==> x[y]`

__getslice__(...)
  `x.__getslice__(i, j) <==> x[i:j]
  Use of negative indices is not supported.`

__reduce__(...)

__repr__(...)
  `x.__repr__() <==> repr(x)`

__setattr__(...)
  `x.__setattr__('name', value) <==> x.name = value`

__setstate__(...)

__str__(...)
  `x.__str__() <==> str(x)`

__unicode__(...)

Data descriptors inherited from exceptions.BaseException:

__dict__

args

message

class StartIndex(atom.AtomBase)
`` | `The opensearch:startIndex element in GData feed`

Method resolution order:
  StartIndex
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class TotalResults(atom.AtomBase)
`` | `opensearch:TotalResults for a GData feed`

Method resolution order:
  TotalResults
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

BatchEntryFromString(xml_string)

BatchFeedFromString(xml_string)

BatchIdFromString(xml_string)

BatchInterruptedFromString(xml_string)

BatchOperationFromString(xml_string)

BatchStatusFromString(xml_string)

EntryLinkFromString(xml_string)

ExtendedPropertyFromString(xml_string)

FeedLinkFromString(xml_string)

GDataEntryFromString(xml_string)
  `Creates a new GDataEntry instance given a string of XML.`

GDataFeedFromString(xml_string)

ItemsPerPageFromString(xml_string)

StartIndexFromString(xml_string)

TotalResultsFromString(xml_string)

Data

``

BATCH_DELETE = 'delete'
BATCH_INSERT = 'insert'
BATCH_NAMESPACE = 'http://schemas.google.com/gdata/batch'
BATCH_QUERY = 'query'
BATCH_UPDATE = 'update'
GACL_NAMESPACE = 'http://schemas.google.com/acl/2007'
GACL_TEMPLATE = '{http://schemas.google.com/acl/2007}%s'
GDATA_NAMESPACE = 'http://schemas.google.com/g/2005'
GDATA_TEMPLATE = '{http://schemas.google.com/g/2005}%s'
OPENSEARCH_NAMESPACE = 'http://a9.com/-/spec/opensearchrss/1.0/'
OPENSEARCH_TEMPLATE = '{http://a9.com/-/spec/opensearchrss/1.0/}%s'
__author__ = 'j.s@google.com (Jeffrey Scudder)'

Author
`` |  | j.s@google.com (Jeffrey Scudder)